GDCM: gdcm::AnonymizeEvent Class Reference

GDCM 3.2.7

Public Types | Public Member Functions | List of all members
gdcm::AnonymizeEvent Class Reference

AnonymizeEvent. More...

`#include <gdcmAnonymizeEvent.h>`

Inheritance diagram for gdcm::AnonymizeEvent:
[legend]
Collaboration diagram for gdcm::AnonymizeEvent:
[legend]

## Public Types
typedef AnonymizeEvent | Self
typedef AnyEvent | Superclass

## Public Member Functions
| AnonymizeEvent (const Self &s)
| AnonymizeEvent (Tag const &tag=0)
| ~AnonymizeEvent () override=default
bool | CheckEvent (const ::gdcm::Event *e) const override
const char * | GetEventName () const override
Tag const & | GetTag () const
::gdcm::Event * | MakeObject () const override
void | operator= (const Self &)=delete
void | SetTag (const Tag &t)
Public Member Functions inherited from gdcm::Event
| Event ()
| Event (const Event &)
virtual | ~Event ()
virtual bool | CheckEvent (const Event *) const =0
void | operator= (const Event &)=delete
virtual void | Print (std::ostream &os) const

## Detailed Description

AnonymizeEvent.

Special type of event triggered during the Anonymization process

See also
  Anonymizer

Examples
  BasicAnonymizer.cs, Cleaner.cs, and ClinicalTrialIdentificationWorkflow.cs.

## Member Typedef Documentation

## ◆ Self

typedef AnonymizeEvent gdcm::AnonymizeEvent::Self

## ◆ Superclass

typedef AnyEvent gdcm::AnonymizeEvent::Superclass

## Constructor & Destructor Documentation

## ◆ AnonymizeEvent() [1/2]

gdcm::AnonymizeEvent::AnonymizeEvent | ( | Tag const & | tag = 0 | ) |
| inline

## ◆ ~AnonymizeEvent()

gdcm::AnonymizeEvent::~AnonymizeEvent | ( |  | ) |
| overridedefault

## ◆ AnonymizeEvent() [2/2]

gdcm::AnonymizeEvent::AnonymizeEvent | ( | const Self & | s | ) |
| inline

## Member Function Documentation

## ◆ CheckEvent()

bool gdcm::AnonymizeEvent::CheckEvent | ( | const ::gdcm::Event * | e | ) | const
| inlineoverride

## ◆ GetEventName()

const char * gdcm::AnonymizeEvent::GetEventName | ( |  | ) | const
| inlineoverridevirtual

Return the StringName associated with the event.

Implements gdcm::Event.

## ◆ GetTag()

Tag const & gdcm::AnonymizeEvent::GetTag | ( |  | ) | const
| inline

Examples
  BasicAnonymizer.cs, Cleaner.cs, and ClinicalTrialIdentificationWorkflow.cs.

## ◆ MakeObject()

::gdcm::Event * gdcm::AnonymizeEvent::MakeObject | ( |  | ) | const
| inlineoverridevirtual

Create an Event of this type This method work as a Factory for creating events of each particular type.

Implements gdcm::Event.

## ◆ operator=()

void gdcm::AnonymizeEvent::operator= | ( | const Self & |  | ) |
| delete

## ◆ SetTag()

void gdcm::AnonymizeEvent::SetTag | ( | const Tag & | t | ) |
| inline

The documentation for this class was generated from the following file:

- gdcmAnonymizeEvent.h